/*
// Using  Whole Sample Weights

count if e(sample)
local ntotal = r(N)

foreach c of numlist 1/6 8/18{
	local p`c' =0
		count if _IAREA_`c' & e(sample)
		local n`c' = r(N)
		local p`c' = `n`c'' / `ntotal'
	}


// ttest race 1 (black) assuming the omitted area is 7
lincom _IRACE_1 + _IRACXARE_1_1*`p1' + _IRACXARE_1_2*`p2' + _IRACXARE_1_3*`p3' + _IRACXARE_1_4*`p4' + _IRACXARE_1_5*`p5' + _IRACXARE_1_6*`p6' + _IRACXARE_1_8*`p8' + _IRACXARE_1_9*`p9' + _IRACXARE_1_10*`p10' + _IRACXARE_1_11*`p11' + _IRACXARE_1_12*`p12' + _IRACXARE_1_13*`p13' + _IRACXARE_1_14*`p14' + _IRACXARE_1_15*`p15' + _IRACXARE_1_16*`p16' + _IRACXARE_1_17*`p17' + _IRACXARE_1_18*`p18'

// ttest race 2 (hispanic) assuming the omitted area is 7
lincom _IRACE_2 + _IRACXARE_2_1*`p1' + _IRACXARE_2_2*`p2' + _IRACXARE_2_3*`p3' + _IRACXARE_2_4*`p4' + _IRACXARE_2_5*`p5' + _IRACXARE_2_6*`p6' + _IRACXARE_2_8*`p8' + _IRACXARE_2_9*`p9' + _IRACXARE_2_10*`p10' + _IRACXARE_2_11*`p11' + _IRACXARE_2_12*`p12' + _IRACXARE_2_13*`p13' + _IRACXARE_2_14*`p14' + _IRACXARE_2_15*`p15' + _IRACXARE_2_16*`p16' + _IRACXARE_2_17*`p17' + _IRACXARE_2_18*`p18'

// Using  Black Stop Weights
*/
count if e(sample) & _IRACE_1
local ntotal = r(N)

foreach c of numlist 1/6 8/18{
	local p`c' =0
		count if _IAREA_`c' & e(sample) & _IRACE_1
		local n`c' = r(N)
		local p`c' = `n`c'' / `ntotal'
	}

// ttest race 1 (black) assuming the omitted area is 7
lincom _IRACE_1 + _IRACXARE_1_1*`p1'  + _IRACXARE_1_2*`p2' + _IRACXARE_1_3*`p3' +  _IRACXARE_1_4*`p4' + _IRACXARE_1_5*`p5' + _IRACXARE_1_6*`p6' + _IRACXARE_1_8*`p8' + _IRACXARE_1_9*`p9' + _IRACXARE_1_10*`p10' + _IRACXARE_1_11*`p11' + _IRACXARE_1_12*`p12' + _IRACXARE_1_13*`p13' + _IRACXARE_1_14*`p14' + _IRACXARE_1_15*`p15' + _IRACXARE_1_16*`p16' + _IRACXARE_1_17*`p17' + _IRACXARE_1_18*`p18'

// Using Hispanic Stop Weights

count if e(sample) & _IRACE_2
local ntotal = r(N)

foreach c of numlist 1/6 8/18{
	local p`c' =0
		count if _IAREA_`c' & e(sample) & _IRACE_2
		local n`c' = r(N)
		local p`c' = `n`c'' / `ntotal'
	}

// ttest race 2 (hispanic) assuming the omitted area is 7
lincom _IRACE_2 + _IRACXARE_2_1*`p1' + _IRACXARE_2_2*`p2' + _IRACXARE_2_3*`p3' + _IRACXARE_2_4*`p4' + _IRACXARE_2_5*`p5' + _IRACXARE_2_6*`p6' + _IRACXARE_2_8*`p8' + _IRACXARE_2_9*`p9' + _IRACXARE_2_10*`p10' + _IRACXARE_2_11*`p11' + _IRACXARE_2_12*`p12' + _IRACXARE_2_13*`p13' + _IRACXARE_2_14*`p14' + _IRACXARE_2_15*`p15' + _IRACXARE_2_16*`p16' + _IRACXARE_2_17*`p17' + _IRACXARE_2_18*`p18'

//End